package com.ningdatech.carapi.analysis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2024-10-22
 */
@TableName("nd_road_behavior_analysis")
@ApiModel(value = "RoadBehaviorAnalysis对象", description = "")
@Data
public class RoadBehaviorAnalysis implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("异常行为类型 1 驾驶员异常 2 车辆速度异常 3 监控异常")
    private Integer type;

    @ApiModelProperty("异常行为描述")
    private String behavior;

    @ApiModelProperty("异常行为码")
    private String behaviorCode;

    @ApiModelProperty("异常行为时间")
    private LocalDateTime behaviorTime;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;
}
