package com.ningdatech.carapi.analysis.entity.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDate;

/**
 * <p>
 * VehicleServiceLifeListReq
 * </p>
 *
 * @author WendyYang
 * @since 14:24 2022/10/15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel("车辆使用年限列表查询参数")
public class VehicleServiceLifeListReq extends PagePo {

    @ApiModelProperty("车辆购置时间（开始）")
    private LocalDate buyTimeStart;

    @ApiModelProperty("车辆购置时间（结束）")
    private LocalDate buyTimeEnd;

    @ApiModelProperty("地域ID")
    private Long regionId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("风险等级")
    private Integer dangerLevel;

    @ApiModelProperty("车牌号")
    private String carNo;

}
