package com.ningdatech.carapi.analysis.entity.req;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * <p>
 * WarnAnalysisListReq
 * </p>
 *
 * @author WendyYang
 * @since 16:42 2022/10/14
 */
@Data
@ApiModel("预警分析列表查询参数")
@EqualsAndHashCode(callSuper = true)
public class WarnAnalysisListReq extends PagePo {

    @ApiModelProperty("地域ID")
    private Long regionId;
    private List<Long> regionIds;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("风险等级")
    private Integer dangerLevel;

    @ApiModelProperty("车牌号")
    private String carNo;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    private String dataScopeSql;

}
