package com.ningdatech.carapi.analysis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

/**
 * <p>
 * CompanyWarnStatisticsVo
 * </p>
 *
 * @author WendyYang
 * @since 17:04 2022/10/25
 */
@Data
@Builder
public class CompanyWarnStatisticsVo {

    @Tolerate
    public CompanyWarnStatisticsVo() {
    }

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("企业地址")
    private String companyAddress;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("风险等级")
    private Integer dangerLevel;

}
