package com.ningdatech.carapi.analysis.mapper;

import com.ningdatech.carapi.analysis.entity.WarnAnalysisCompany;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.analysis.entity.req.WarnAnalysisListReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 企业综合预警分析 Mapper 接口
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-14
 */
public interface WarnAnalysisCompanyMapper extends BaseMapper<WarnAnalysisCompany> {

    List<WarnAnalysisCompany> listCompanyAnalysis(@Param("param") WarnAnalysisListReq req);

    Integer saveBatchXml(@Param("singleList") List<WarnAnalysisCompany> singleList);
}
