package com.ningdatech.carapi.analysis.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.analysis.entity.IndustryStandards;
import com.ningdatech.carapi.analysis.mapper.IndustryStandardsMapper;
import com.ningdatech.carapi.analysis.service.IIndustryStandardsService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-15
 */
@Service
public class IndustryStandardsServiceImpl extends ServiceImpl<IndustryStandardsMapper, IndustryStandards> implements IIndustryStandardsService {

    @Override
    public boolean incrementDownCount(Long id) {
        return baseMapper.incrementDownCount(id) > 0;
    }

    @Override
    public void deleteById(Long id) {
        baseMapper.deleteById(id);
    }

}
