package com.ningdatech.carapi.archives.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-10-17
 */
@TableName("nd_exam_paper")
@Data
@ApiModel(value = "ExamPaper对象", description = "")
public class ExamPaper implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    @ApiModelProperty("所属区域标识")
    private Long regionId;

    @ApiModelProperty("满分")
    private Long fullScore;

    @ApiModelProperty("合格分")
    private Long qualifiedScore;

    @ApiModelProperty("试卷名称")
    private String examPaperName;

    @ApiModelProperty("试卷规则")
    private String examRuleJson;

    @ApiModelProperty("是否随机试卷")
    private Integer isRandom;

    @ApiModelProperty("考试开始时间")
    private LocalDateTime examStartTime;

    @ApiModelProperty("考试结束时间")
    private LocalDateTime examEndTime;

    @ApiModelProperty("随机试卷对应驾驶员用户ID")
    private Long driverUserId;

    @ApiModelProperty("随机试卷所在的培训组织ID")
    private Long trainingOrganizationId;

}
