package com.ningdatech.carapi.car.datascreen.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author PoffyZhang
 * @date 2022/10/22 下午2:10
 */

@Data
@ApiModel(description = "车辆类型统计-VO")
public class VehicleTypeStatisticsVO {

    @ApiModelProperty("车辆类型ID")
    private Integer vehicleTypesId;

    @ApiModelProperty("车辆类型名")
    private String vehicleTypesName;

    @ApiModelProperty("车辆数")
    private Long vehicleNum;

    @ApiModelProperty("占比")
    private BigDecimal ratio;

}
