package com.ningdatech.carapi.car.equipment.model.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ningdatech.carapi.car.equipment.model.NdVehicleEquipmentChannels;
import lombok.Builder;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@TableName("nd_vehicle_equipment_info")
@Data
@Builder
@ToString
public class VehicleEquipmentQueryDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;

    private String name;

    /**
     * 创建时间
     */
    private LocalDateTime createOn;

    /**
     * 创建人
     */
    private Long createBy;

    /**
     * 修改时间
     */
    private LocalDateTime updateOn;

    /**
     * 修改人
     */
    private Long updateBy;

    /**
     * SIM卡号
     */
    private String simCardNo;

    /**
     * 终端号
     */
    private String endPoint;

    /**
     * 设备号
     */
    private String equipmentNo;

    /**
     * 设备功能
     */
    private String equipmentFunction;

    /**
     * 终端类型
     */
    private String endType;

    /**
     * 下级平台
     */
    private Long subordinatePlatform;
    private String subordinatePlatformName;

    /**
     * 车辆ID
     */
    private Long vehicleId;

    private List<NdVehicleEquipmentChannels> channels;
}
