package com.ningdatech.carapi.car.position.service.impl;

import com.ningdatech.carapi.car.position.entity.VehiclePositionInfo;
import com.ningdatech.carapi.car.position.mapper.VehiclePositionInfoMapper;
import com.ningdatech.carapi.car.position.service.IVehiclePositionInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-17
 */
@Service
@RequiredArgsConstructor
public class VehiclePositionInfoServiceImpl extends ServiceImpl<VehiclePositionInfoMapper, VehiclePositionInfo> implements IVehiclePositionInfoService {

    private final VehiclePositionInfoMapper vehiclePositionInfoMapper;

    @Override
    public List<VehiclePositionInfo> dynamicGpsTableHistorySearch(String carPlate, LocalDateTime startTime, LocalDateTime endTime, String date) {
        return vehiclePositionInfoMapper.dynamicGpsTableHistorySearch(carPlate,startTime,endTime,date);
    }
}
