package com.ningdatech.carapi.car.rpt.mapper;

import com.ningdatech.carapi.car.rpt.entity.RptMonthOverspeedCompany;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptMonthOverspeedCompanyParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthOverspeedCompanyPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 超速企业情况月报 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface RptMonthOverspeedCompanyMapper extends BaseMapper<RptMonthOverspeedCompany> {

    List<RptMonthOverspeedCompanyPO> report(@Param("param") RptMonthOverspeedCompanyParamDTO param);
}
