package com.ningdatech.carapi.car.rpt.mapper;

import com.ningdatech.carapi.car.rpt.entity.RptMonthOverspeedSpecialCompany;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptMonthSpecialOverspeedCompanyParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthSpecialVehiclesOverspeedPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专用车辆超速企业情况月报 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface RptMonthOverspeedSpecialCompanyMapper extends BaseMapper<RptMonthOverspeedSpecialCompany> {

    List<RptMonthSpecialVehiclesOverspeedPO> report(@Param("param") RptMonthSpecialOverspeedCompanyParamDTO param);
}
