package com.ningdatech.carapi.car.rpt.model.dto;

import com.ningdatech.basic.util.NdDateUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Classname RptDailySpecialVehiclesCompanyLaunchRateParamDTO
 * @Description
 * @Date 2022/11/8 17:06
 * @Created by PoffyZhang
 */
@Data
public class RptDailySpecialVehiclesCompanyLaunchRateParamDTO implements Serializable {

    @ApiModelProperty("日期")
    private String date;

    @ApiModelProperty("区域ID")
    private Long regionId;
    private List<Long> regionIds;

    @ApiModelProperty("企业名")
    private String companyName;

    @ApiModelProperty("上线率")
    private Integer launchRate;

    private String dataScopeSql;

    private String tableName = "nd_vehicle_online_status_hour_" + NdDateUtils.format(new Date(),"yyyy_MM");
}
