package com.ningdatech.carapi.car.rpt.model.po;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author CMM
 * @description
 * @since 2022/12/12 17:46
 */
@Data
@ApiModel(value = "RptMonthSpecialOfflinePO", description = "专用车辆不上线月报")
public class RptMonthSpecialOfflinePO implements Serializable {

    private static final long serialVersionUID = -5951994953374490890L;
    @ApiModelProperty("id")
    @ExcelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域ID")
    @ExcelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    @ExcelProperty("区域名")
    private String regionName;

    @ApiModelProperty("名称")
    @ExcelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    @ExcelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("未上线天数")
    @ExcelProperty("未上线天数")
    private Integer offlineDays;

    //@ApiModelProperty("未上线车辆数")
    //@ExcelProperty("未上线车辆数")
    //private Long offlineVehicleNums;

    @ApiModelProperty("公司ID")
    @ExcelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    @ExcelProperty("公司名")
    private String companyName;

    @ApiModelProperty("车牌号")
    @ExcelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("运营商ID")
    @ExcelProperty("运营商ID")
    private Long operatorId;

    @ApiModelProperty("运营商名称")
    @ExcelProperty("运营商名称")
    private String operatorName;

}
