package com.ningdatech.carapi.car.rpt.service.impl;

import com.ningdatech.carapi.car.rpt.entity.RptTendaysSpecialOverspeedVehicles;
import com.ningdatech.carapi.car.rpt.mapper.RptTendaysSpecialOverspeedVehiclesMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptTendaysOverspeedSpecialVehiclesParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptTendaysSpecialOverspeedVehiclesPO;
import com.ningdatech.carapi.car.rpt.service.IRptTendaysSpecialOverspeedVehiclesService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 专用车辆超速车辆情况旬报 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
@Service
@RequiredArgsConstructor
public class RptTendaysSpecialOverspeedVehiclesServiceImpl extends ServiceImpl<RptTendaysSpecialOverspeedVehiclesMapper, RptTendaysSpecialOverspeedVehicles> implements IRptTendaysSpecialOverspeedVehiclesService {

    private final RptTendaysSpecialOverspeedVehiclesMapper mapper;

    @Override
    @XmlDataScope
    public List<RptTendaysSpecialOverspeedVehiclesPO> report(RptTendaysOverspeedSpecialVehiclesParamDTO param) {
        return mapper.report(param);
    }
}
