package com.ningdatech.carapi.common.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author liuxinxin
 * @date 2022/10/12 下午2:28
 * 文化程度
 */

@AllArgsConstructor
@Getter
public enum EducationDegreeEnum {
    /**
     * 小学
     */
    PRIMARY_SCHOOL,
    /**
     * 初中
     */
    JUNIOR_HIGH_SCHOOL,
    /**
     * 高中
     */
    HIGH_SCHOOL,
    /**
     * 大专
     */
    JUNIOR_COLLEGE,
    /**
     * 本科
     */
    UNDERGRADUATE,
    /**
     * 硕士
     */
    MASTER,
    /**
     * 博士
     */
    DOCTOR

}
