package com.ningdatech.carapi.common.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * DataChartVo
 * </p>
 *
 * @author WendyYang
 * @since 09:18 2022/10/26
 */
@Data
@ApiModel("数据图表视图类")
public class DataChartVo {

    @ApiModelProperty("名称")
    private String label;

    @ApiModelProperty("数量")
    private Integer value;

    @ApiModelProperty("百分比")
    private String percent;

    public DataChartVo(String label, Integer value) {
        this.label = label;
        this.value = value;
    }

    public DataChartVo() {
    }

    public DataChartVo(String label, Integer value, String percent) {
        this.label = label;
        this.value = value;
        this.percent = percent;
    }

}
