package com.ningdatech.carapi.company.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;
import java.time.LocalDateTime;

/**
 * @Classname CompanySecurityCommitment
 * @Description
 * @Date 2023/5/23 16:23
 * @Author PoffyZhang
 */
@Data
@TableName("nd_company_security_government")
@ApiModel(value = "CompanySecurityGovernment", description = "企业管理机构")
public class CompanySecurityGovernment {

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("文件性质")
    private String docNature;

    @ApiModelProperty("部门名称")
    private String departmentName;

    @ApiModelProperty("文件")
    private String file;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("最后修改时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("最后修改人")
    private Long updateBy;
}
