package com.ningdatech.carapi.company.mapper;

import com.ningdatech.carapi.company.entity.CompanyEmployees;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.company.entity.dto.ResCompanyEmployeesCountDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author liushuai
 * @since 2022-10-25
 */
public interface CompanyEmployeesMapper extends BaseMapper<CompanyEmployees> {

    List<ResCompanyEmployeesCountDTO> countEmployeesByCompanyIds(@Param("companyIds") List<Long> companyIds);
}
