package com.ningdatech.carapi.company.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanySecurityProductRegulations;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.company.entity.dto.ResSecurityProductRegulationsDTO;
import com.ningdatech.carapi.company.entity.po.CompanySecurityProductRegulationPO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 安全生产制度体系 Mapper 接口
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface NdCompanySecurityProductRegulationsMapper extends BaseMapper<NdCompanySecurityProductRegulations> {
    /**
     * 获取分页数据
     *
     * @param dutyPage            分页
     * @param
     * @return 列表
     */
    Page<ResSecurityProductRegulationsDTO> securityProductRegulationsList(Page<ResSecurityProductRegulationsDTO> dutyPage,
                                                                          @Param("po")CompanySecurityProductRegulationPO po);
}
