package com.ningdatech.carapi.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author LiuXinXin
 * @since 2022-10-09
 */
@TableName("nd_article_info")
@Data
public class ArticleInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String createOn;

    private LocalDateTime updateOn;

    /**
     * 制定时间
     */
    private LocalDateTime formulationTime;

    /**
     * 标题
     */
    private String title;

    /**
     * 文章类型
     */
    private String articleType;

    /**
     * 文章状态
     */
    private String articleStatus;

    /**
     * 文件内容
     */
    private String content;

}
