package com.ningdatech.carapi.driver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-10-26
 */
@Data
@TableName("nd_exam_record_detail")
@ApiModel(value = "ExamRecordDetail对象", description = "")
public class ExamRecordDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long createBy;

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("驾驶员用户id")
    private Long driverUserId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("公司id")
    private Long companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

    @ApiModelProperty("考试分数")
    private Integer score;

    @ApiModelProperty("考试结果")
    private String examResult;

    @ApiModelProperty("考试时间")
    private LocalDateTime examTime;

    @ApiModelProperty("所属区域")
    private Long regionId;

    @ApiModelProperty("考试类型")
    private String examType;

    @ApiModelProperty("考试记录id")
    private Long examRecordId;

}
