package com.ningdatech.carapi.driver.model;

import com.ningdatech.carapi.driver.model.vo.StarManageDisplay;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/11/15 下午3:39
 */

@Data
@ApiModel("星级管理列表展示列表字段")
public class StarManageDisplayInfo {

    @ApiModelProperty("第一列展示信息")
    private StarManageDisplay firstDisplayInfo;

    @ApiModelProperty("第二列展示信息")
    private StarManageDisplay secondDisplayInfo;

    @ApiModelProperty("平均分数")
    private Double avgStar;
}