package com.ningdatech.carapi.driver.model;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/21 下午3:07
 */

@Data
@ApiModel("培训考试试卷")
public class TrainingExamPaperInfo {
    /**
     * 考试试卷名称id
     */
    @ApiModelProperty("考试试卷名称id")
    private Long examPaperId;

    /**
     * 考试试卷名称
     */
    @NotBlank(message = "考试试卷名称不能为空")
    @ApiModelProperty("考试试卷名称")
    private String examPaperName;
}
