package com.ningdatech.carapi.driver.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @description
 * @since 2022/12/07 14:49
 */
@Data
@ApiModel("驾驶员异常行为分析附件")
public class AlarmWarnFilePO {
    @ApiModelProperty("供应商告警唯一序号")
    private Integer alarmMsgSn;

    @ApiModelProperty(value = "告警附件类型",allowableValues = "0 图片,1 视频")
    private Integer fileType;

    @ApiModelProperty(value = "告警附件格式",allowableValues = "0 jpg,1 mp4")
    private Integer fileFormat;

    @ApiModelProperty("告警附件路径")
    private String filePath;
}
