package com.ningdatech.carapi.driver.model.po;

import com.ningdatech.carapi.common.model.FileBasicInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author liuxinxin
 * @date 2022/10/15 上午10:42
 */
@Data
@ApiModel(description = "审核信息")
public class AuditInfo {

    @ApiModelProperty("审核员Id")
    private Long auditorId;

    @ApiModelProperty("审核员姓名")
    private String auditorName;

    @ApiModelProperty("审核意见")
    private String reviewComments;

    @ApiModelProperty("审核时间")
    private LocalDateTime auditTime;

    @ApiModelProperty("附件")
    private List<FileBasicInfo> appendixList;

}
