package com.ningdatech.carapi.driver.model.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/9 上午10:51
 */
@Data
@ApiModel("驾驶员信息档案查询返回列表VO")
public class ResArchivalInfoSearchListVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("服务企业唯一标识id")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("手机号码")
    private String phoneNo;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "驾驶员状态",
            allowableValues = " induction 入职,quit 离职")
    private String driverStatus;

    @ApiModelProperty("系统用户ID")
    private Long driverUserId;

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("区域名称")
    private String regionName;

    @ApiModelProperty("离职时间")
    private LocalDateTime quitTime;

    @ApiModelProperty("入职时间")
    private LocalDateTime inductionTime;

    @ApiModelProperty("驾驶员合格证")
    private String certificateNo;

    @ApiModelProperty("驾驶证号")
    private String driverLicenseNo;

    @ApiModelProperty("驾驶证类型")
    private String driverLicenseType;

}
