package com.ningdatech.carapi.driver.model.vo;

import com.ningdatech.carapi.driver.constant.ArticleTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author liuxinxin
 * @date 2022/10/9 下午4:54
 */
@Data
@ApiModel(description = "文章列表查询")
public class ResArticleInfoListVO {

    @ApiModelProperty("文章id")
    private Long articleId;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("文章类型")
    private ArticleTypeEnum articleType;

    @ApiModelProperty("制定时间")
    private LocalDateTime formulationTime;

    @ApiModelProperty("文章状态")
    private String articleStatus;
}
