package com.ningdatech.carapi.industry.model.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 预拌砂浆行业管理
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-18
 */
@Data
@ApiModel(value = "ReadyMixedMortarIndustryManageSaveDTO", description = "预拌砂浆行业管理")
public class ReadyMixedMortarIndustryManageUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @NotNull(message = "请传id")
    private Long id;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("0启用 1禁用")
    private Integer state;

    @ApiModelProperty("file id")
    private Long fileId;

    @ApiModelProperty("文件名")
    private String fileName;

    @ApiModelProperty("下载次数")
    private Integer downTimes;

    @ApiModelProperty("内容")
    private String content;
}
