package com.ningdatech.carapi.industry.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 预拌砂浆行业管理分页传参
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-17
 */
@Data
@Builder
@ApiModel(value = "ReadyMixedPageParamDTO", description = "预拌砂浆行业管理分页传参")
public class ReadyMixedPageParamDTO extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("区域ID")
    private Long regionId;
}
