package com.ningdatech.carapi.industry.model.req;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * PurchaseRawMaterialListReq
 * </p>
 *
 * @author WendyYang
 * @since 10:56 2022/11/9
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PurchaseRawMaterialListReq extends PurchaseListReq {

    @ApiModelProperty("原材料名称")
    private String rawMaterialName;

    @ApiModelProperty("原材料型号")
    private String model;

}
