package com.ningdatech.carapi.industry.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.industry.entity.DriverTrainingCertificateJoin;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.industry.entity.DriverTrainingCertificateOperJoin;

/**
 * <p>
 * 驾驶员合格证 服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-03
 */
public interface IDriverTrainingCertificateJoinService extends IService<DriverTrainingCertificateJoin> {

    Page<DriverTrainingCertificateJoin> pageJoin(Page page, LambdaQueryWrapper<DriverTrainingCertificateJoin> wrapper);

    DriverTrainingCertificateJoin getOneJoin(LambdaQueryWrapper<DriverTrainingCertificateJoin> wrapper);
}
