package com.ningdatech.carapi.industry.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.industry.entity.DriverTrainingCertificateOperJoin;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 驾驶员合格证操作 服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-04
 */
public interface IDriverTrainingCertificateOperJoinService extends IService<DriverTrainingCertificateOperJoin> {

    Page<DriverTrainingCertificateOperJoin> pageJoin(Page page,LambdaQueryWrapper<DriverTrainingCertificateOperJoin> wrapper);

    DriverTrainingCertificateOperJoin getOneJoin(LambdaQueryWrapper<DriverTrainingCertificateOperJoin> wrapper);
}
