package com.ningdatech.carapi.industry.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.common.aop.BuildChildrenRegionWrapper;
import com.ningdatech.carapi.datascope.aop.LambdaDataScope;
import com.ningdatech.carapi.industry.entity.ReadyMixedMortarIndustryManage;
import com.ningdatech.carapi.industry.mapper.ReadyMixedMortarIndustryManageMapper;
import com.ningdatech.carapi.industry.model.dto.ReadyMixedPageParamDTO;
import com.ningdatech.carapi.industry.service.IReadyMixedMortarIndustryManageService;

/**
 * <p>
 * 预拌砂浆行业管理 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-18
 */
@Service
public class ReadyMixedMortarIndustryManageServiceImpl extends ServiceImpl<ReadyMixedMortarIndustryManageMapper, ReadyMixedMortarIndustryManage> implements IReadyMixedMortarIndustryManageService {

    @Override
    @BuildChildrenRegionWrapper
    @LambdaDataScope
    public List<ReadyMixedMortarIndustryManage> dataScopeList(LambdaQueryWrapper<ReadyMixedMortarIndustryManage> wrapper, ReadyMixedPageParamDTO param) {
        return baseMapper.selectList(wrapper);
    }
}
