package com.ningdatech.carapi.irs.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author WendyYang
 * @since 2023-05-16
 */
@Data
@TableName("nd_drivers_license_raw")
@ApiModel(value = "DriversLicense对象", description = "")
public class DriversLicenseRaw implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty("身份证号")
    private String idcard;

    @ApiModelProperty("驾驶证信息")
    private String driverLicenseDetail;

    @ApiModelProperty("行驶证信息")
    private String drivingLicenseDetail;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("车牌号")
    private String carPlate;


}
