package com.ningdatech.carapi.road.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author CMM
 * @since 2024/10/23 10:49
 */
@Data
@ApiModel(description = "道路安全监综合态势计数据-VO")
@NoArgsConstructor
@AllArgsConstructor
public class ComprehensiveSituationVO {

    @ApiModelProperty("道路安全指数")
    private Integer roadSafetyIndex;

    @ApiModelProperty("当前道路情况")
    private String roadStatus;

    @ApiModelProperty("当前天气情况")
    private String weatherStatus;

    @ApiModelProperty("当前危险行为统计")
    private Integer dangerousActionCount;
}
