package com.ningdatech.carapi.safe.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * @author PoffyZhang
 * @date 2022/10/25
 */
@Data
@ApiModel("统计次数PO")
public class OutDangerAnalysisPO {

    @ApiModelProperty("出险次数")
    private Integer outDangerTimes;

    @ApiModelProperty("受伤人数")
    private Integer injuries;

    @ApiModelProperty("死亡人数")
    private Integer deathToll;

    @ApiModelProperty("年份")
    private String year;

    @ApiModelProperty("月份")
    private String month;
}
