package com.ningdatech.carapi.sys.entity;

import com.ningdatech.carapi.sys.entity.enumeration.CodingRuleBehaviorTypeEnum;
import com.ningdatech.carapi.sys.entity.enumeration.RuleOperationTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author liuxinxin
 * @date 2022/10/24 下午3:05
 */
@Data
@ApiModel("规则")
public class CodingRuleInfo {

    @ApiModelProperty("加分减分")
    @NotNull
    private RuleOperationTypeEnum ruleOperationType;

    @ApiModelProperty("行为类型")
    @NotNull
    private CodingRuleBehaviorTypeEnum codingRuleBehaviorType;

    @ApiModelProperty("操作分数")
    @NotNull
    private Integer operationScore;
}
