package com.ningdatech.carapi.sys.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;
import java.io.Serializable;

/**
 * @Classname CompanyTypeRelated
 * @Description
 * @Date 2022/11/2 13:54
 * @Created by PoffyZhang
 */
@Data
@NoArgsConstructor
@ToString(callSuper = true)
@Accessors(chain = true)
@TableName("nd_company_type_related")
@ApiModel(value = "CompanyTypeRelated", description = "企业类型关系表")
@AllArgsConstructor
@Builder
public class CompanyTypeRelated implements Serializable {

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "企业ID")
    @TableField(value = "company_id")
    private Long companyId;

    @ApiModelProperty(value = "类型的id")
    @TableField(value = "company_type_id")
    private Long companyTypeId;
}
