package com.ningdatech.carapi.sys.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * <p>
 * RegionTreeVO
 * </p>
 *
 * @author WendyYang
 * @since 10:35 2022/10/12
 */
@Data
@ToString(callSuper = true)
@ApiModel(value = "EquipmentInfoVO", description = "车辆设备树状结构VO")
public class EquipmentInfoVO {

    @ApiModelProperty("设备所属车辆车牌号")
    private String carPlate;

    @ApiModelProperty("设备视频状态")
    private String videoStatus;

    @ApiModelProperty("设备ID")
    private String deviceId;

    @ApiModelProperty("设备名称")
    private String deviceName;

}
