package com.ningdatech.carapi.sys.entity.vo;

import com.ningdatech.basic.util.StrPool;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * BaseTreeVo
 * </p>
 *
 * @author WendyYang
 * @since 15:39 2022/11/1
 */
@Data
public class RegionCompanyCarTreeVo {

    public interface Type {
        int REGION = 1;
        int COMPANY = 2;
        int CAR_NO = 3;
        int CAR_VIDEO = 4;
    }


    private Long code;

    private String value;

    private Integer status;

    private Integer moving;

    private String unique;

    private Integer level;

    private Integer type;
    private String videoStatus;
    private String deviceId;

    private List<RegionCompanyCarTreeVo> children = new ArrayList<>();

    public void setUnique() {
        this.unique = this.code + StrPool.HASH + this.type;
    }

}
