package com.ningdatech.carapi.analysis.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.analysis.entity.WarnAnalysisCar;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.analysis.entity.req.WarnAnalysisListReq;

import java.util.List;

/**
 * <p>
 * 车辆综合预警分析 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2022-10-14
 */
public interface IWarnAnalysisCarService extends IService<WarnAnalysisCar> {

    Page<WarnAnalysisCar> pageCarAnalysis(Page<WarnAnalysisCar> page, WarnAnalysisListReq req);

    List<WarnAnalysisCar> listCarAnalysis(WarnAnalysisListReq req);

    Integer saveBatchXml(List<WarnAnalysisCar> singleList);
}
