package com.ningdatech.carapi.analysis.service;

import com.ningdatech.carapi.analysis.entity.WarnAnalysisDriver;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.analysis.entity.req.WarnAnalysisListReq;

import java.util.List;

/**
 * <p>
 * 驾驶员综合预警分析 服务类
 * </p>
 *
 * @author WendyYang
 * @since 2022-11-01
 */
public interface IWarnAnalysisDriverService extends IService<WarnAnalysisDriver> {

    List<WarnAnalysisDriver> listDriverAnalysis(WarnAnalysisListReq warnAnalysisListReq);

    Integer saveBatchXml(List<WarnAnalysisDriver> singleList);
}
