package com.ningdatech.carapi.archives.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-10-17
 */
@TableName("nd_exam_paper_question")
@ApiModel(value = "ExamPaperQuestion对象", description = "")
@Data
public class ExamPaperQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    @ApiModelProperty("考试试卷id")
    private Long examPaperId;

    @ApiModelProperty("考试题目id")
    private Long paperQuestionId;

    @ApiModelProperty("排序值")
    private Long sortValue;

    @ApiModelProperty("题目类型")
    private String questionType;

    @ApiModelProperty("是否随机试卷")
    private Integer isRandom;
}
