package com.ningdatech.carapi.archives.model.po;

import com.ningdatech.carapi.archives.model.ExamRuleInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/22 下午2:32
 */
@Data
@ApiModel("保存试卷规则")
public class ReqSaveExamRulePO {

    @ApiModelProperty("单项选择题 规则")
    private ExamRuleInfo singleChoiceQuestionRule;

    @ApiModelProperty("多项选择题 规则")
    private ExamRuleInfo multipleChoiceQuestionRule;

    @ApiModelProperty("判断题 规则")
    private ExamRuleInfo judgmentalQuestionRule;

    @ApiModelProperty("区域ID")
    private Long regionId;
}
