package com.ningdatech.carapi.car.datascreen.model.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Classname OnlineVehicleTimesPO
 * @Description
 * @Date 2022/11/17 13:35
 * @Created by PoffyZhang
 */
@Data
public class OnlineVehicleRegionsPO {

    @ApiModelProperty("区域Id")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("区域code")
    private String regionCode;

    @ApiModelProperty("总车辆数")
    private Integer vehicleNum;

    @ApiModelProperty("在线车辆数")
    private Integer onlineNum;

    @ApiModelProperty("比例")
    private BigDecimal rate;
}
