package com.ningdatech.carapi.car.datascreen.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author PoffyZhang
 * @date 2022/10/22 下午2:10
 */

@Data
@ApiModel(description = "运营商分布-VO")
public class OperatorDistributionStatisticsVO {

    @ApiModelProperty("车辆数")
    private Long vehicleNum;

    @ApiModelProperty("运营商名")
    private String operatorName;

    @ApiModelProperty("占比")
    private BigDecimal ratio;
}
