package com.ningdatech.carapi.car.monitor.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.car.monitor.entity.SecurityMonitorJoin;
import com.ningdatech.carapi.car.monitor.mapper.SecurityMonitorJoinMapper;
import com.ningdatech.carapi.car.monitor.service.SecurityMonitorService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor
public class SecurityMonitorServiceImpl extends ServiceImpl<SecurityMonitorJoinMapper, SecurityMonitorJoin> implements SecurityMonitorService {

    private final SecurityMonitorJoinMapper securityMonitorJoinMapper;

    @Override
    public Page<SecurityMonitorJoin> pageJoin(Page page, LambdaQueryWrapper<SecurityMonitorJoin> wrapper) {
        return securityMonitorJoinMapper.pageJoin(page, wrapper);
    }

    @Override
    public SecurityMonitorJoin getOneJoin(LambdaQueryWrapper<SecurityMonitorJoin> wrapper) {
        return securityMonitorJoinMapper.getOneJoin(wrapper);
    }
}
