package com.ningdatech.carapi.car.position.model.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author ZPF
 * @date 2024/3/18 上午11:23
 */
@ApiModel(description = "对外入参")
@Data
public class ReqDataPO {

    @ApiModelProperty("车牌")
    private List<String> carPlates;

    @ApiModelProperty("身份证号")
    private List<String> idCards;

    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private LocalDateTime endTime;

    @ApiModelProperty("校验公钥")
    private String key;

}
