package com.ningdatech.carapi.car.position.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author PoffyZhang
 * @date 2022/11/03 下午2:10
 */

@Data
@ApiModel(description = "车辆设备返回-VO")
public class DeviceVO {

    @ApiModelProperty("设备ID")
    private String deviceId;

    @ApiModelProperty("设备名")
    private String name;

    @ApiModelProperty("设备品牌")
    private String manufacturer;

    @ApiModelProperty("状态")
    private String status;

    @ApiModelProperty("时间")
    private String active;

}
