package com.ningdatech.carapi.car.rpt.mapper;

import com.ningdatech.carapi.car.rpt.entity.RptDailyOperatorVehiclesLaunchRate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptDailyOperatorVehiclesLaunchRateParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptDailyOperatorVehiclesLaunchRatePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 运营商车辆上线率日报 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
public interface RptDailyOperatorVehiclesLaunchRateMapper extends BaseMapper<RptDailyOperatorVehiclesLaunchRate> {

    List<RptDailyOperatorVehiclesLaunchRatePO> report(@Param("po") RptDailyOperatorVehiclesLaunchRateParamDTO param);
}
