package com.ningdatech.carapi.car.rpt.mapper;

import com.ningdatech.carapi.car.rpt.entity.RptDailyOverspeedCompany;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptDailyOverspeedCompanyParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptDailyOverspeedCompanyPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 超速企业情况日报 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
public interface RptDailyOverspeedCompanyMapper extends BaseMapper<RptDailyOverspeedCompany> {

    List<RptDailyOverspeedCompanyPO> report(@Param("param") RptDailyOverspeedCompanyParamDTO param);
}
