package com.ningdatech.carapi.car.rpt.mapper;

import com.ningdatech.carapi.car.rpt.entity.RptDailySpecialVehiclesCompanyLaunchRate60;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptDailySpecialVehiclesCompanyLaunchRateParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptDailySpecialVehiclesCompanyLaunchRate60PO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专用车辆企业上线率低于60日报 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
public interface RptDailySpecialVehiclesCompanyLaunchRate60Mapper extends BaseMapper<RptDailySpecialVehiclesCompanyLaunchRate60> {

    List<RptDailySpecialVehiclesCompanyLaunchRate60PO> report(@Param("param") RptDailySpecialVehiclesCompanyLaunchRateParamDTO param);
}
