package com.ningdatech.carapi.car.rpt.mapper;

import com.ningdatech.carapi.car.rpt.entity.RptDailySpecialVehiclesLaunchRate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptDailySpecialVehiclesLaunchRateParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptDailySpecialVehiclesLaunchRatePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专用车辆上线率日报 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
public interface RptDailySpecialVehiclesLaunchRateMapper extends BaseMapper<RptDailySpecialVehiclesLaunchRate> {

    List<RptDailySpecialVehiclesLaunchRatePO> report(@Param("po") RptDailySpecialVehiclesLaunchRateParamDTO param);
}
