package com.ningdatech.carapi.car.rpt.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptMonthOverspeedSpecialVehicles;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptMonthSpecialOverspeedVehiclesParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthOverspeedSpecialVehiclesPO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthSpecialOfflinePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专用车辆超速月对比 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface RptMonthOverspeedSpecialVehiclesMapper extends BaseMapper<RptMonthOverspeedSpecialVehicles> {

    List<RptMonthSpecialOfflinePO> reportPage(Page<RptMonthOverspeedSpecialVehiclesPO> page, @Param("param") RptMonthSpecialOverspeedVehiclesParamDTO param);
}
