package com.ningdatech.carapi.car.rpt.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptMonthSpecialOffline;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptMonthSpecialOfflineParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptMonthSpecialOfflinePO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专用车辆不上线月报 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface RptMonthSpecialOfflineMapper extends BaseMapper<RptMonthSpecialOffline> {

    List<RptMonthSpecialOfflinePO> reportPage(Page<RptMonthSpecialOfflinePO> page, @Param("param") RptMonthSpecialOfflineParamDTO param);
}
