package com.ningdatech.carapi.car.rpt.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptOtherAlarmCleanVehicles;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptOtherParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptOtherAlarmCleanVehiclesPO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 车辆报警清理表 其它报表 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface RptOtherAlarmCleanVehiclesMapper extends BaseMapper<RptOtherAlarmCleanVehicles> {

    Page<RptOtherAlarmCleanVehiclesPO> reportPage(Page<RptOtherAlarmCleanVehiclesPO> page,
                                                  @Param("param") RptOtherParamDTO param);
}
