package com.ningdatech.carapi.car.rpt.mapper;

import com.ningdatech.carapi.car.rpt.entity.RptTendaysSpecialOverspeedCompany;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptTendaysOverspeedSpecialCompanyParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptTendaysSpecialOverspeedCompanyPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专用车辆超速企业情况旬报 Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface RptTendaysSpecialOverspeedCompanyMapper extends BaseMapper<RptTendaysSpecialOverspeedCompany> {

    List<RptTendaysSpecialOverspeedCompanyPO> report(@Param("param") RptTendaysOverspeedSpecialCompanyParamDTO param);
}
