package com.ningdatech.carapi.car.rpt.model.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author CMM
 * @description
 * @since 2022/12/12 12:00
 */
@Data
public class RptMonthSpecialVehiclesOverspeedPO implements Serializable {

    private static final long serialVersionUID = -1510410272441829172L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    private String regionName;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("报表时间")
    private LocalDateTime rptDate;

    @ApiModelProperty("排名")
    private Integer rank;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("超速次数")
    private Long overspeedTimes;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("最高速率")
    private BigDecimal maxSpeed;

    @ApiModelProperty("最高超速率")
    private BigDecimal maxOverspeedRate;
}
