package com.ningdatech.carapi.car.rpt.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptOtherCrossDomainVehicles;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.car.rpt.model.dto.RptOtherParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptOtherCrossDomainVehiclesPO;

import java.util.List;

/**
 * <p>
 * 车辆跨域情况表 其它报表 服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface IRptOtherCrossDomainVehiclesService extends IService<RptOtherCrossDomainVehicles> {

    List<RptOtherCrossDomainVehiclesPO> report(RptOtherParamDTO param);

    Page<RptOtherCrossDomainVehiclesPO> reportPage(Page<RptOtherCrossDomainVehiclesPO> page, RptOtherParamDTO param);
}
