package com.ningdatech.carapi.car.rpt.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.car.rpt.entity.RptTendaysSpecialOfflineWeek;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.car.rpt.model.dto.RptTendaysOfflineWeekSpecialParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptTendaysSpecialOfflineWeekPO;

import java.util.List;

/**
 * <p>
 * 专用车辆一周以上不上线旬报 服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-09
 */
public interface IRptTendaysSpecialOfflineWeekService extends IService<RptTendaysSpecialOfflineWeek> {

    List<RptTendaysSpecialOfflineWeekPO> report(RptTendaysOfflineWeekSpecialParamDTO param);

    Page<RptTendaysSpecialOfflineWeekPO> reportPage(Page<RptTendaysSpecialOfflineWeekPO> page, RptTendaysOfflineWeekSpecialParamDTO param);
}
