package com.ningdatech.carapi.car.rpt.service.impl;

import com.ningdatech.carapi.car.rpt.entity.RptDailyOverspeedCompany;
import com.ningdatech.carapi.car.rpt.mapper.RptDailyOverspeedCompanyMapper;
import com.ningdatech.carapi.car.rpt.model.dto.RptDailyOverspeedCompanyParamDTO;
import com.ningdatech.carapi.car.rpt.model.po.RptDailyOverspeedCompanyPO;
import com.ningdatech.carapi.car.rpt.service.IRptDailyOverspeedCompanyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.datascope.aop.XmlDataScope;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 超速企业情况日报 服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-08
 */
@Service
@RequiredArgsConstructor
public class RptDailyOverspeedCompanyServiceImpl extends ServiceImpl<RptDailyOverspeedCompanyMapper, RptDailyOverspeedCompany> implements IRptDailyOverspeedCompanyService {

    private final RptDailyOverspeedCompanyMapper mapper;

    @Override
    @XmlDataScope
    public List<RptDailyOverspeedCompanyPO> report(RptDailyOverspeedCompanyParamDTO param) {
        return mapper.report(param);
    }
}
