package com.ningdatech.carapi.car.video.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author PoffyZhang
 * @date 2022/11/07 下午2:10
 */

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(description = "回放视频-VO")
public class PlaybackVideoVO {

    @ApiModelProperty("设备ID")
    private String deviceId;

    @ApiModelProperty("设备名称")
    private String deviceName;

    @ApiModelProperty("通道名称")
    private String channelName;

    @ApiModelProperty("流开始时间戳")
    private Long start;

    @ApiModelProperty("流结束时间戳")
    private Long end;

}
