package com.ningdatech.carapi.company.entity.dto;

import java.io.Serializable;
import java.util.List;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @description
 * @since 2022/11/17 14:34
 */
@Data
public class CompanyListParamDTO extends PagePo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("区域Id")
    private Long regionId;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty(value = "是否失信")
    private Boolean blackList;

    @ApiModelProperty(value = "公司类型 1生产 2物流 3其他")
    private Integer companyType;

    @ApiModelProperty(value = "公司类型列表")
    private List<Integer> companyTypeList;

    @ApiModelProperty(value = "生产企业类型")
    private Integer productCompanyType;

    @ApiModelProperty("审核类型 0待审核 1已审核")
    private Integer auditStatus;
}
