package com.ningdatech.carapi.company.entity.dto;

import com.ningdatech.basic.model.PagePo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * CompanySecurityProductExecuteParam
 * @return
 * @author CMM
 * @since 2023/05/24 21:58
 */
@Data
public class CompanySecurityProductExecuteParam extends PagePo {

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;

}
