package com.ningdatech.carapi.company.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * UploadRegulationDTO
 * @return
 * @author CMM
 * @since 2023/05/24 21:26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UploadRegulationDTO {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("企业id")
    private Long companyId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("文件ID")
    private Long fileId;

    @ApiModelProperty("上传文件名称")
    private String fileName;

    @ApiModelProperty("上传文件类型")
    private Integer fileType;
}
