package com.ningdatech.carapi.company.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanyProductManage;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.company.entity.dto.ResProductManageDTO;
import com.ningdatech.carapi.company.entity.po.CompanyProductPO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 公司生产管理 Mapper 接口
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface NdCompanyProductManageMapper extends BaseMapper<NdCompanyProductManage> {

    /**
     * 生成管理列表
     * @param managePage  分页
     * @return 分页列表
     */
    Page<ResProductManageDTO> manageList(Page<ResProductManageDTO> managePage,
                                         @Param("po") CompanyProductPO po);
}
