package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanyCreditLevel;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.dto.CompanyCreditLevelPageParam;

/**
 * <p>
 * 信用等级 服务类
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface INdCompanyCreditLevelService extends IService<NdCompanyCreditLevel> {

    /**
     * 获取信用列表
     *
     * @param param
     * @return 信用等级列表
     */
    Page<NdCompanyCreditLevel> getCreditLevelList(CompanyCreditLevelPageParam param);
}
