package com.ningdatech.carapi.company.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.company.entity.NdCompanySecurityProductExecute;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.company.entity.dto.ResSecurityProductExecuteDTO;

/**
 * <p>
 * 安全生产制度执行 服务类
 * </p>
 *
 * @author liushuai
 * @since 2022-10-10
 */
public interface INdCompanySecurityProductExecuteService extends IService<NdCompanySecurityProductExecute> {

    /**
     * 获取制度执行
     *
     * @param name      通报名称
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @param pageNum   当前页
     * @param pageSize  页面大小
     * @return 列表
     */
    Page<ResSecurityProductExecuteDTO> securityProductExecuteList(String name, String startTime,
                                                                  String endTime, Integer fileType, int pageNum, int pageSize);
}
