package com.ningdatech.carapi.driver.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author CMM
 * @description
 * @since 2022/12/08 14:35
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OverseeInterfaceCallDTO implements Serializable {

    private static final long serialVersionUID = 3881169002010057397L;

    @ApiModelProperty("平台ID")
    private Long GnssCenterId;

    @ApiModelProperty("告警唯一序号")
    private Long MSgSn;

    @ApiModelProperty("督办截止时间")
    private Integer SupervisionEndTime;

    @ApiModelProperty("督办等级")
    private Integer SupervisionLevel;

    @ApiModelProperty("督办人")
    private String Supervisor;

    @ApiModelProperty("督办人手机号")
    private String SupervisorTel;

    @ApiModelProperty("督办人邮箱")
    private String SupervisorEmail;
}
