package com.ningdatech.carapi.driver.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ningdatech.carapi.driver.entity.RegionStarDTO;
import com.ningdatech.carapi.driver.entity.StarManage;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author Liuxinxin
 * @since 2022-11-15
 */
public interface StarManageMapper extends BaseMapper<StarManage> {

    Double getAvgStar(@Param("param") RegionStarDTO param);

    Double getCompanyAvgStar(@Param("param") RegionStarDTO param);

    Double countTotalStar(@Param("param") RegionStarDTO param);
}
