package com.ningdatech.carapi.driver.model;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelProperty;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 驾驶员档案导出实体
 *
 * @author CMM
 * @since 2023/05/15 14:06
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class DriverArchivesExportDTO  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelProperty("姓名")
    private String driverName;

    @ExcelProperty("所属企业")
    private String companyName;

    @ExcelProperty("身份证号")
    private String idCard;

    @ExcelProperty("所属区域")
    private String regionName;

    @ExcelProperty("手机号码")
    private String phoneNo;

    @ExcelProperty("创建时间")
    private String createTime;

    @ExcelProperty("状态")
    private String driverStatus;


}
