package com.ningdatech.carapi.driver.model.vo;

import com.ningdatech.carapi.driver.constant.ExaminationStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/22 下午4:22
 */
@Data
@ApiModel("培训人员 包含培训记录")
public class OrganizationTrainingTrainersInfo {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("驾驶员用户id")
    private Long driverUserId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("分数")
    private Integer score;

    @ApiModelProperty("是否合格")
    private String isQualified;

    @ApiModelProperty("试卷id")
    private Long examPaperId;

    @ApiModelProperty("试卷名称")
    private String examPaperName;

    @ApiModelProperty("准考证号")
    private String examRegistrationNo;

    /**
     * {@link ExaminationStatusEnum}
     */
    @ApiModelProperty("考试状态")
    private ExaminationStatusEnum examinationStatus;

    @ApiModelProperty("公司id")
    private Long companyId;

    @ApiModelProperty("公司名称")
    private String companyName;

}
