package com.ningdatech.carapi.driver.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author liuxinxin
 * @date 2022/10/26 下午5:20
 */
@ApiModel("驾驶员星级列表VO")
@Data
public class ResDriverStarListVO {

    @ApiModelProperty("区域id")
    private Long regionId;

    @ApiModelProperty("区域")
    private String regionName;

    @ApiModelProperty("公司名")
    private String companyName;

    @ApiModelProperty("公司id")
    private Long companyId;

    @ApiModelProperty("驾驶员姓名")
    private String driverName;

    @ApiModelProperty("驾驶员id")
    private Long driverId;

    @ApiModelProperty("受伤人数")
    private Integer injuredCnt;

    @ApiModelProperty("事故次数")
    private Integer accidentsCnt;

    @ApiModelProperty("出险次数")
    private Integer insuranceCnt;

    @ApiModelProperty("死亡人数")
    private Integer deathCnt;

    @ApiModelProperty("当前星级")
    private Double currentStar;

    @ApiModelProperty("扣除星级")
    private Double deductStar;

    @ApiModelProperty("当前分值")
    private Integer currentScore;
}
