package com.ningdatech.carapi.driver.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.driver.entity.DriverAbnormalBehaviorAnalysis;
import com.ningdatech.carapi.driver.entity.DriverAbnormalBehaviorAnalysisOverseeDTO;
import com.ningdatech.carapi.driver.model.po.AlarmWarnFilePO;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author LiuXinXin
 * @since 2022-10-09
 */
public interface IBehaviourAnalysisService extends IService<DriverAbnormalBehaviorAnalysis> {

    Page<DriverAbnormalBehaviorAnalysis> pageBehaviour(Page page, LambdaQueryWrapper<DriverAbnormalBehaviorAnalysis> wrapper);

    DriverAbnormalBehaviorAnalysis getOneBehaviour(LambdaQueryWrapper<DriverAbnormalBehaviorAnalysis> wrapper);

    List<DriverAbnormalBehaviorAnalysis> selectDriverAbnormalBehaviorAnalysisData(long index);

    Boolean oversee(DriverAbnormalBehaviorAnalysisOverseeDTO param, Long userId);

    List<AlarmWarnFilePO> selectDriverAbnormalBehaviorAnalysisAppendixData(List<Integer> alarmMsgSnList);

    Long selectOneByAlarmMsgSn(Integer alarmMsgSn);
}
