package com.ningdatech.carapi.gps.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 
 * </p>
 *
 * @author CMM
 * @since 2024-10-11
 */
@TableName("nd_data_access_gps_real_time_data")
@ApiModel(value = "DataAccessGpsRealTimeData对象", description = "")
@Data
public class DataAccessGpsRealTimeData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "record_id", type = IdType.AUTO)
    private Long recordId;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车辆颜色")
    private String plateColor;

    @ApiModelProperty("车辆经度")
    private String carLongitude;

    @ApiModelProperty("车辆纬度")
    private String carLatitude;

    @ApiModelProperty("车辆高度")
    private String carAltitude;

    @ApiModelProperty("车辆速度")
    private String carVelocity;

    @ApiModelProperty("车辆方向")
    private String carDirection;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;
}
