package com.ningdatech.carapi.industry.model.dto;

import java.io.Serializable;

import com.alibaba.excel.annotation.ExcelProperty;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 安全设备安装使用证书导出实体
 *
 * @author CMM
 * @since 2023/02/20 15:42
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SafetyEqInsUseCertExportDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ExcelProperty("所属区域")
    private String regionName;

    @ExcelProperty("所属企业")
    private String companyName;

    @ExcelProperty("车牌号")
    private String carPlate;

    @ExcelProperty("车辆类型")
    private String vehicleTypeName;

    @ExcelProperty("终端运营商")
    private String endOperator;

    @ExcelProperty("年检记录")
    private String annualInspectionRecords;

}
