package com.ningdatech.carapi.industry.model.dto;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * @author CMM
 * @description
 * @since 2022/11/26 17:10
 */
@Data
@Builder
@ApiModel(value = "UseCertOperatePageParamDTO", description = "使用证书操作分页传参")
public class UseCertOperatePageParamDTO extends PagePo implements Serializable {

    private static final long serialVersionUID = 134356701632333300L;

    @ApiModelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("企业名")
    private String companyName;

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("车辆类型")
    private Integer vehicleType;

    @ApiModelProperty("证书年检状态")
    private String annualStatus;

    @ApiModelProperty("申请事项")
    private String applicationItem;
}
