package com.ningdatech.carapi.industry.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 预拌砂浆行业管理
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-11-18
 */
@Data
@ApiModel(value = "ReadyMixedMortarIndustryManageVO", description = "预拌砂浆行业管理")
public class ReadyMixedMortarIndustryManageVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @ExcelProperty("id")
    private Long id;

    @ApiModelProperty("创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    @ExcelProperty("创建人")
    private Long createBy;

    @ApiModelProperty("更新时间")
    @ExcelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("修改人")
    @ExcelProperty("修改人")
    private Long updateBy;

    @ApiModelProperty("标题")
    @ExcelProperty("标题")
    private String title;

    @ApiModelProperty("0启用 1禁用")
    @ExcelProperty("0启用 1禁用")
    private Integer state;

    @ApiModelProperty("区域ID")
    @ExcelProperty("区域ID")
    private Long regionId;

    @ApiModelProperty("区域名")
    @ExcelProperty("区域名")
    private String regionName;

    @ApiModelProperty("公司id")
    @ExcelProperty("公司id")
    private Long companyId;

    @ApiModelProperty("公司名")
    @ExcelProperty("公司名")
    private String companyName;

    @ApiModelProperty("file id")
    @ExcelProperty("file id")
    private Long fileId;

    @ApiModelProperty("文件名")
    @ExcelProperty("文件名")
    private String fileName;

    @ApiModelProperty("下载次数")
    @ExcelProperty("下载次数")
    private Integer downTimes = 0;

    @ApiModelProperty("内容")
    @ExcelProperty("内容")
    private String content;
}
