package com.ningdatech.carapi.open.model.po;

import com.ningdatech.basic.model.PagePo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @author CMM
 * @since 2023/11/17 10:47
 */
@ApiModel(description = "车辆实时位置请求入参")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ReqRealTimeCapPositionPO extends PagePo {
    @ApiModelProperty("车牌号")
    String carPlate;

    @ApiModelProperty("校验公钥")
    @NotBlank(message = "秘钥不能为空")
    private String key;
}
