package com.ningdatech.carapi.report.model.po;

import java.time.LocalDateTime;

import com.ningdatech.carapi.report.model.dto.ReqBulkCementLogFacStaDataUploadDTO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:43
 */
@Data
@ApiModel(description = "散装水泥物流设施统计年报上报数据")
public class ReqBulkCementLogFacStaDataUploadPO {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("发放库上报数据")
    private ReqBulkCementLogFacStaDataUploadDTO issueLibraryData;

    @ApiModelProperty("中转库上报数据")
    private ReqBulkCementLogFacStaDataUploadDTO transferLibraryData;

    @ApiModelProperty("固定接收库上报数据")
    private ReqBulkCementLogFacStaDataUploadDTO fixedReceiveLibraryData;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("上报年份")
    private Integer reportYear;
}
