package com.ningdatech.carapi.report.model.vo;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Map;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author CMM
 * @since 2023/09/28 11:38
 */
@Data
@ApiModel("散装水泥物流设施统计年报数据查询详情VO")
public class ResMaterialLogEquipStaDataQueryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("散装水泥、预拌混凝土、干混砂浆物流装备统计年报数据关联集合Map")
    private Map<String, Object> materialLogEquipStaDataMap;

    @ApiModelProperty("单位负责人")
    private String unitResponsiblePerson;

    @ApiModelProperty("填表人")
    private String preparer;

    @ApiModelProperty("复核人")
    private String reviewer;

    @ApiModelProperty("报出日期")
    private LocalDateTime submissionDate;

    @ApiModelProperty("备注")
    private String remark;

}
