package com.ningdatech.carapi.safe.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.carapi.safe.entity.NdVehicleAccidentAnalysis;
import com.ningdatech.carapi.safe.entity.NdVehicleAccidentDead;
import com.ningdatech.carapi.safe.model.dto.AccidentPageQuery;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
public interface NdVehicleAccidentAnalysisMapper extends BaseMapper<NdVehicleAccidentAnalysis> {

    Page<NdVehicleAccidentAnalysis> pageAnalysis(Page<NdVehicleAccidentAnalysis> page,
                                                 @Param("param") AccidentPageQuery accidentPageQuery);
}
