package com.ningdatech.carapi.safe.model.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author PoffyZhang
 * @date 2022/10/25
 */
@Data
@ApiModel("城市出险PO")
public class OutDangerCityPO {

    @ApiModelProperty("城市名")
    private String regionName;

    @ApiModelProperty("地区CODE")
    private String regionCode;

    @ApiModelProperty("地区ID")
    private Long regionId;

    @ApiModelProperty("前年出险次数")
    private Integer beforeOutDanger;

    @ApiModelProperty("去年出险次数")
    private Integer lastOutDanger;

    @ApiModelProperty("前年出险次数")
    private Integer currentOutDanger;

    @ApiModelProperty("总数")
    private Integer total;
}
