package com.ningdatech.carapi.safe.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.car.datascreen.model.dto.DataScreenParam;
import com.ningdatech.carapi.car.datascreen.model.po.OverspeedStatisticsPO;
import com.ningdatech.carapi.safe.entity.NdInsureOutDanger;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
public interface INdInsureOutDangerService extends IService<NdInsureOutDanger> {

    Long countStatistics(List<Long> regionIds, LocalDateTime yearStart, LocalDateTime yearEnd);

    List<NdInsureOutDanger> statistics(List<Long> regionIds, LocalDateTime yearStart, LocalDateTime yearEnd);
}
