package com.ningdatech.carapi.safe.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.safe.entity.AlarmDataVideo;
import com.ningdatech.carapi.safe.mapper.AlarmDataVideoMapper;
import com.ningdatech.carapi.safe.service.IAlarmDataVideoService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Service
@RequiredArgsConstructor
public class AlarmDataVideoServiceImpl extends ServiceImpl<AlarmDataVideoMapper, AlarmDataVideo>
        implements IAlarmDataVideoService {

    private final AlarmDataVideoMapper alarmDataVideoMapper;
    @Override
    public boolean saveBatchForSql(List<AlarmDataVideo> list) {
        return alarmDataVideoMapper.saveBatchForSql(list);
    }
}
