package com.ningdatech.carapi.safe.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ningdatech.carapi.safe.entity.NdInsureOutDangerAnalysis;
import com.ningdatech.carapi.safe.mapper.NdInsureOutDangerAnalysisMapper;
import com.ningdatech.carapi.safe.model.dto.InsurePageQuery;
import com.ningdatech.carapi.safe.model.po.NdInsureOutDangerAnalysisPO;
import com.ningdatech.carapi.safe.service.INdInsureOutDangerAnalysisService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-10-12
 */
@Service
@RequiredArgsConstructor
public class NdInsureOutDangerAnalysisServiceImpl extends ServiceImpl<NdInsureOutDangerAnalysisMapper, NdInsureOutDangerAnalysis>
        implements INdInsureOutDangerAnalysisService {

    private final NdInsureOutDangerAnalysisMapper mapper;

    @Override
    public Page<NdInsureOutDangerAnalysisPO> pageAnalysis(Page<NdInsureOutDangerAnalysisPO> page, InsurePageQuery param) {
        return mapper.pageAnalysis(page,param);
    }
}
