package com.ningdatech.carapi.scheduler.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @Classname VehicleStatusDTO
 * @Description
 * @Date 2022/11/22 14:09
 * @Created by PoffyZhang
 */
@Data
public class VehicleStatusDTO {

    @ApiModelProperty("车牌号")
    private String carPlate;

    @ApiModelProperty("GPS的状态值")
    private Long status;

    @ApiModelProperty("公司ID")
    private Long companyId;

    @ApiModelProperty("创建时间")
    private LocalDateTime updateTime;
}
