package com.ningdatech.carapi.sys.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ningdatech.carapi.sys.entity.CompanyJoin;

import java.util.List;

/**
 * <p>
 * 企业
 * </p>
 *
 * @author PoffyZhang
 * @since 2022-09-30
 */
public interface CompanyJoinService extends IService<CompanyJoin> {
    Page<CompanyJoin> pageJoin(Page<CompanyJoin> page, LambdaQueryWrapper<CompanyJoin> wrapper);

    List<CompanyJoin> listJoin(LambdaQueryWrapper<CompanyJoin> wrapper);

    CompanyJoin oneJoin(LambdaQueryWrapper<CompanyJoin> wrapper);
}
